Hyvä PIVX Yhteisö, Olemme täysin tietoisia hetki sitten löydetystä libzerocoin haavoittuvaisuudesta. Joku pääsi tätä hyödyntämään ja sai luotua useita takuita yhdelle kolikon luonnille, sekä useita sarjanumeroita, jotka hän sitten muutti PIViksi. Tämä haavoittuvaisuus löytyi libzerocoin kirjaston pohjakoodista, jota monet eri kolikot käyttävät, eikä ole yksinomaan PIVXn koodia. KENENKÄÄN varoja ei ole hävitetty. Pörssejä on ilmoitettu. Voit käyttää vielä 3.0.4 lompakkoasi toistaiseksi ja julkaisemme päivitetyn version, joka korjaa ongelman. Myöskin – Zerocoin on toistaiseksi pois päältä, kunnes se on täysin korjattu. Pahoittelemme tästä koituvaa haittaa, mutta pidämme mielessä vain sinun turvallisuutesi ja verkon vakauden.

~The PIVX Dev Team

 

*KUTSU ASEISIIN! ETENKIN NE JOTKA PANOSTAVAT*

Uusi haavoittuvaisuus löydettiin alkuperäisestä libzerocoin lähdekoodista, joka johti haavoittuvaisuuteen zPIVin luonnissa.

Katso virallinen ilmoitus tämän haavoittuvaisuuden tilanteesta täältä:

https://pivx.org/from-the-dev-team/

Tämän ongelman korjaamiseksi tarvitsemme jokaisen desktop lompakon käyttäjän uudelleen järjestää lohkoketju ilman haavoittuvaisuutta.

-Jos pystyt tekemään tämän nyt, se todella auttaisi verkkoa & estää uudet yritykset haavoittaa verkkoa.

-Jos tahdot odottaa virallista, viimeistä julkaisua, suosittelemme että suljet lompakkosi toistaiseksi.

-Kolikkosi ovat 100% turvassa. Mutta zPIVin luonti/kulutus on väliaikaisesti pois käytöstä, jottei haavoittuvaisuutta voida hyödyntää.

-Toivomme saavamme viimeisen version valmiiksi lähipäivinä, kunhan saamme verkon / lompakon turvalliseksi.

*MITEN EDETÄ*

HUOMIO: Jos et tahdo ottaa osaa tähän väliaikaiseen julkaisuun – sulje lompakkosi ja odota virallista julkaisua.

  1. Pysäytä / sulje nykyinen lompakkosi

 

  • Lataa ja päivitä tähän haavoittuvaisuudesta korjattuun lompakkoon `pre-release 3.0.99` (vtemp_dev) https://github.com/PIVX-Project/PIVX/releases/tag/vtemp_dev (ole hyvä ja katso release notet myös)

 

  1. Muokkaa ‘pivx.conf’ tiedostoasi ja lisää sinne nämä rivit

Katso täältä pivx.confin sijainti: https://pivx.freshdesk.com/support/solutions/articles/30000004664

enablezeromint=0

addnode=24.10.252.146

addnode=67.188.76.36

addnode=70.189.238.111

addnode=104.200.67.38

addnode=74.118.192.18

banscore=10000

bantime=5

  1. Poista ‘peers.dat’ tiedosto (samassa paikassa kuin pivx.conf)
  2. Käynnistä lompakkosi. Odota että se synkronoi.
  3. Tarkista nyt että olet oikeassa ketjussa. Ohjeet:

https://pivx.freshdesk.com/solution/articles/30000004667

 

  1. Jos et ole oikeassa lohko:hash yhdistelmässä kuin presstabin lohkoketjun tarkastelija, suorita reindex

Qt lompakko = Työkalut -> Lompakon korjaus -> Rebuild index (Tässä saattaa mennä hetki)

Linux = Sulje lompakko. Käynnistä lompakko argumentilla ‘-reindex=1’ (esim. ‘./pivxd -reindex=1’)

  1. Jos se näyttää hyvältä, avaa lompakkosi ja panosta kuin normaalisti ‘On turvallista panostaa tällä, vaikka se on ensi-julkaisu versio’ Se on vain geneerinen varoitus.

 

Kiitos!